Subject: Re: libgit2 status

From: <[email-masked]>
Date: Mon, 27 Aug 2012 13:49:19 -0500

Junio C Hamano <[email-masked]> writes:

>> I would be happy to be a guinea pig for libgit2 in order to improve it,
>> but I don't want to significantly impact git-subtree's move to core.
>> I'll have to figure out the right balance there given feedback.
>
> I expect it will take some time for libgit2 to allow our Makefile to
> start saying "LDFLAGS += -libgit2"; it will need to become as stable
> and widespread as other libraries we depend on, e.g. -lz and -lcurl.

Well that's a chicken-and-egg problem, isn't it.  How will a library
become widespread unless something uses it?

Would it be enough to have libgit2 as an installable package in the
major distributions?

                                 -Dave